indexing
	description
		"ISE/SE Compatability features"
		"Source is .ge, don't change the .e code"

deferred class
	CL_MISC


feature -- Access

	rv: INTEGER

	ptr_to_str (p: POINTER): STRING is

		do
			create Result.make_from_c (p)
		end

	terminated (str: STRING): POINTER is

		do
			str.append_character ('%U')
			str.remove_tail (1)
			Result := str.area.base_address

		end

	str_to_ptr (str: STRING): POINTER is
		-- This pointer must be good for both string reads and writes

		do
			Result := str.area.base_address
		end

	array_to_ptr (array: ARRAY[DOUBLE]): POINTER is
		-- This pointer must be good for both string reads and writes

		do
			Result := array.area.base_address
		end

	prune_all_leading (s: STRING; c: CHARACTER): STRING is

		do
			Result := s.twin
			Result.prune_all_leading (c)
		end

	is_hexa_digit (ch: CHARACTER): BOOLEAN is

		do
			Result := ch.is_hexa_digit
		end

	double_to_real (d: DOUBLE): REAL is

		do
			Result := d.truncated_to_real
		end

	Ec_ise: CHARACTER is 'I'
	Ec_se: CHARACTER is 'S'

	Eiffel_compiler: CHARACTER is 'I'

end -- class CL_MISC

