indexing
	description:
		"Xalan Named Node Map interface"
		"Minimal implementation"
		"Don't delete, owned by DOMNode"

class
	DOM_NAMED_NODE_MAP

inherit
	XML

create
	make

feature {XALAN_NODE}

	make (object: POINTER) is

		do
			obj := object
		end

feature -- Access

	count: INTEGER is
			--
		do
			Result := dnnm_length (obj)
		end

	item (index: INTEGER): DOM_NODE is
			-- create descendant object as appropriate
		require
			valid_index: index >= 0
		do
			Result := xml.create_dom_node (
				dnnm_item (obj, index)
			)
		end

feature {} -- Private

	obj: POINTER

feature {} --Externals

	dnnm_length (i: POINTER): INTEGER is

		external
			"C | %"dom_support.h%""
		end

	dnnm_item (i: POINTER; index: INTEGER): POINTER is

		external
			"C | %"dom_support.h%""
		end

end

