indexing
	description:
		"Support for Level 3 DOMNode calls"
		"This code is not complete..."

deferred class
	DOM_NODE_LEVEL_3


feature -- Access

	handler: POINTER

	set_handler (data_handler: POINTER) is
			--
		do
			handler := data_handler
		end

	set_unkeyed_data (data: ANY) is
			-- User data but with no key
		require
			rv = 0
		do
			if dn_set_user_data (obj, default_pointer, data, handler) /= Void then
				rv := -1
			end
		ensure
			rv = 0
		end

	unkeyed_data: ANY is
			--
		do
			Result := dn_get_user_data (obj, default_pointer)
		end

	set_user_data (key: STRING; data: ANY) is
			--
		require
			rv = 0
		do
			if dn_set_user_data (obj, terminated (key), data, handler) /= Void then
				rv := -1
			end
		ensure
			rv = 0
		end

	user_data (key: STRING): ANY is
			--
		do
			Result := dn_get_user_data (obj, terminated (key))
		end

	release is
			-- Release orphaned resources
		do
			dn_release (obj)
		end


feature -- External

-- Level 3
--#ifdef WORKBENCH
--EIF_REFERENCE dn_set_user_data (void *o, char *key, EIF_OBJECT data, void* handler);
--EIF_REFERENCE dn_get_user_data (void *o, char *key);
--#else
--void *dn_set_user_data (void *o, char *key, void *data, void* handler);
--void *dn_get_user_data (void *o, char *key);
--#endif

	dn_set_user_data (object, key: POINTER; data: ANY; handler: POINTER): ANY is
			-- Returns old data or 0
		external
			"C | %"dom_node_level_3.h%""
		end

	dn_get_user_data (object, key: POINTER): ANY is
			--
		external
			"C | %"dom_node_level_3.h%""
		end

	dn_release (object: POINTER) is

		external
			"C | %"dom_node_level_3.h%""
		end

end
