#ifndef TO_UNICODE_H
#define TO_UNICODE_H

class ToUnicode {
public :
	ToUnicode (const char* const toTranscode) {

		XALAN_USING_XERCES(XMLString)

		fUnicodeForm = XMLString::transcode (toTranscode);
	}

	~ToUnicode () {

		XALAN_USING_XERCES(XMLString)

		XMLString::release (&fUnicodeForm);
	}

	const XMLCh* unicodeForm () const {

		return fUnicodeForm;
	}

private :
	XMLCh* fUnicodeForm;
};

#define TU(str) ToUnicode(str).unicodeForm()

#endif
