indexing
	description:
		"Transcoding support, see also XALAN_DOM_STRING"

deferred class
	UTF_SUPPORT

feature {} -- Deferred

	str_to_ptr (str: STRING): POINTER is deferred end

feature {} -- Access

	get_transcoded (length: INTEGER): STRING is
			-- extra char for null from Xalan
		do
			if length >= 0 then
				create Result.make_filled (' ', length - 1)
				copy_transcode_buffer (str_to_ptr (Result), length - 1)
			end
		end

feature {} -- External

	copy_transcode_buffer (dst: POINTER; nbytes: INTEGER) is

		external
			"C | %"dom_support.h%""
		end

end
