indexing
	description:
		"Xalan node factory"

class
	XALAN_NODE_FACTORY

inherit
	XERCES_NODE_FACTORY
		rename
			make as xerces_node_factory_make
		end

create
	make

feature -- Creation

	make is
			--
		do
		end

feature -- Access

	create_xalan_node (object: POINTER): XALAN_NODE is

		local
			type: INTEGER
			element: XALAN_ELEMENT
			node: XALAN_NODE
			text: XALAN_TEXT
			document: XALAN_DOCUMENT
			attr: XALAN_ATTRIBUTE
			comment: XALAN_COMMENT
		do
			if object /= default_pointer then
				type := xn_get_node_type (object)
				inspect type
				when Element_node then
					create element.make (object)
					Result := element
				when Attribute_node then
					create attr.make (object)
					Result := attr
				when Text_node then
					create text.make (object)
					Result := text
				--when Cdata_section_node then
				when Entity_reference_node then
					create node.make (object)
					Result := node
				--when Entity_node then
				--when Processing_instruction_node then
				when Comment_node then
					create comment.make (object)
					Result := comment
				when Document_node then
					create document.make_from_object (object)
					Result := document
				--when Document_type_node then
				--when Document_fragment_node then
				--when Notation_node then
				end
			end
		end

feature {} -- External

	xn_get_node_type (object: POINTER): INTEGER is

		external
			"C | %"xalan_support.h%""
		end

end

