#include <xercesc/dom/DOMNode.hpp>

extern "C" {
#include "dom_node_level_3.h"
}

XALAN_USING_XERCES(DOMNode)

using namespace std;

extern "C" {

#ifdef WORKBENCH
EIF_REFERENCE dn_set_user_data (void *o, char *key, EIF_OBJECT data, void* handler) {

	XALAN_USING_XERCES (DOMUserDataHandler)

	cout << "ise set_user_data_" << endl;

	void *prev = ((DOMNode*) o)->setUserData (
		TU (key), (void*) eif_adopt (data), (DOMUserDataHandler*) handler
	);
	return prev ? eif_access (prev) : NULL;
}

EIF_REFERENCE dn_get_user_data (void *o, char *key) {

	void *data = ((DOMNode*) o)->getUserData (TU (key));

	return data ? eif_access (data) : NULL;
}
#else
void *dn_set_user_data (void *o, char *key, void *data, void* handler) {

	XALAN_USING_XERCES (DOMUserDataHandler)

	cout << "se set_user_data_" << endl;

	return (void*) ((DOMNode*) o)->setUserData (
		TU (key), (void*) data, (DOMUserDataHandler*) handler
	);
}

void *dn_get_user_data (void *o, char *key) {

	return (void*) ((DOMNode*) o)->getUserData (TU (key));
}

#endif

void dn_release (void *o) {

	((DOMNode*) o)->release ();
}

}

