indexing
	description:
		"Xerces DOM node list."
		"The C++ object isn't disposable and adds overhead"
		"when the DOM is modified."
		"Lists reflect changes made to the DOM."

class
	DOM_NODE_LIST

inherit
	XML
	NODE_TYPES

create
	make

feature -- Creation

	make (object: POINTER) is

		do
			obj := object
		end

feature -- Access

	obj: POINTER

	count: INTEGER is

		do
			Result := dnl_get_length (obj)
		end

	item (index: INTEGER): DOM_NODE is

		do
			Result := xml.create_dom_node (dnl_item (obj, index))
		end

feature {} -- External

	dnl_item (object: POINTER; index: INTEGER): POINTER is

		external
			"C | %"dom_support.h%""
		end

	dnl_get_length (object: POINTER): INTEGER is

		external
			"C | %"dom_support.h%""
		end

end
