indexing
	description:
		"Xalan NodeRef list"
		"This should be reference counted like XPATH/XALAN_DOCUMENT"

class
	NODE_REF_LIST

inherit
	XML
	DISPOSABLE

create
	make

feature -- Access

	make (object: POINTER) is

		do
			obj := object
		end

	dispose is
			--
		do
			if obj /= default_pointer then
				nrl_delete (obj)
				obj := default_pointer
			end
		end

	count: INTEGER is

		do
			Result := nrl_get_length (obj)
		end

	item (index: INTEGER): XALAN_NODE is

		require
			valid_index: index >= 0
		do
			Result := xml.create_xalan_node (nrl_item (obj, index))
		end

feature {} -- Private

	obj: POINTER

feature {} -- Externals

	nrl_get_length (object: POINTER): INTEGER is

		external
			"C | %"xalan_support.h%""
		end

	nrl_item (object: POINTER; index: INTEGER): POINTER is

		external
			"C | %"xalan_support.h%""
		end

	nrl_delete (object: POINTER) is

		external
			"C | %"xalan_support.h%""
		end

end
