indexing
	description:
		"Xalan/Xerces node descriptions"

class
	NODE_TYPES

inherit
	ANY
	CL_MISC export {} all end
	UTF_SUPPORT

feature

	Unknown_node: INTEGER is 0
	Element_node: INTEGER is 1
	Attribute_node: INTEGER is 2
	Text_node: INTEGER is 3
	Cdata_section_node: INTEGER is 4
	Entity_reference_node: INTEGER is 5
	Entity_node: INTEGER is 6
	Processing_instruction_node: INTEGER is 7
	Comment_node: INTEGER is 8
	Document_node: INTEGER is 9
	Document_type_node: INTEGER is 10
	Document_fragment_node: INTEGER is 11
	Notation_node: INTEGER is 12

	type_desc: ARRAY[STRING] is

		once
			create Result.make (0, 12)

			Result.put ("unknown_node", 0)
			Result.put ("element_node", 1)
			Result.put ("attribute_node", 2)
			Result.put ("text_node", 3)
			Result.put ("cdata_section_node", 4)
			Result.put ("entity_reference_node", 5)
			Result.put ("entity_node", 6)
			Result.put ("processing_instruction_node", 7)
			Result.put ("comment_node", 8)
			Result.put ("document_node", 9)
			Result.put ("document_type_node", 10)
			Result.put ("document_fragment_node", 11)
			Result.put ("notation_node", 12)
		end

end

