indexing
	description:
		"Xalan Named Node Map interface"
		"leaks C++ XalanNode objects."

class
	XALAN_NAMED_NODE_MAP

inherit
	XML
	NODE_TYPES
	DISPOSABLE

create
	make

feature {XALAN_NODE} -- Creation

	make (object: POINTER) is

		do
			obj := object
		end

	dispose is
			-- unfinished
		do
		end

feature -- Access

	count: INTEGER is
			--
		do
			Result := xnnm_get_length (obj)
		end

	item (index: INTEGER): XALAN_NODE is
			-- create descendant object as appropriate
		do
			Result := xml.create_xalan_node (xnnm_item (obj, index))
		end

	named_item (name: STRING): XALAN_NODE is
			--
		do
			Result := xml.create_xalan_node (xnnm_get_named_item (obj, terminated (name)))
		end

feature {} -- Private

	obj: POINTER

feature {} -- External

	xnnm_get_length (object: POINTER): INTEGER is

		external
			"C | %"xalan_support.h%""
		end

	xnnm_item (object: POINTER; index: INTEGER): POINTER is

		external
			"C | %"xalan_support.h%""
		end

	xnnm_get_named_item (object, name: POINTER): POINTER is

		external
			"C | %"xalan_support.h%""
		end


end

