indexing
	description:
		"Xalan Node list"

class
	XALAN_NODE_LIST

inherit
	XML
	NODE_TYPES

create
	make

feature -- Creation

	make (object: POINTER) is

		do
			obj := object
		end

feature -- Access

	count: INTEGER is

		do
			Result := xnl_get_length (obj)
		end

	item (index: INTEGER): XALAN_NODE is

		require
			valid_index: index >= 0
		do
			Result := xml.create_xalan_node (xnl_item (obj, index))
		end

feature {} -- Private

	obj: POINTER

feature {} -- External

	xnl_get_length (object: POINTER): INTEGER is

		external
			"C | %"xalan_support.h%""
		end

	xnl_item (object: POINTER; index: INTEGER): POINTER is

		external
			"C | %"xalan_support.h%""
		end

end
